Version 3.02
- Correction de l'installation du cIOS d2x v10 beta52 pour une utilisation en nand émulée. Merci à Actar pour avoir rapporté le problème.

Version 3.01
- Ajout de l'utilisation des IOS/Titres de la Nand en plus des wad sur sd/usb et du serveur de Nintendo.
Ainsi sur WiiU, il n'est plus obligatoire d'avoir les fichiers wad.
Par contre, vous devez avoir exactement la version demandée et le fichier de la nand doit être non modifié.
- Mise à jour des patchs spécifiques pour la WiiU par damysteryman (patch de l'erreur 1017 et 1029). Merci à lui !
- Correction de la demande de sélection d'IOS et du non scan d'IOS dans le menu "Lancer le test".
- Correction de l'installation d'un cMIOS.
- Correction de la liste des IOS source pour le cIOS d2x sur Wii.
- Changement de la signature de l'IOS d2x v10/v10-alt pour indiquer beta52 ou beta53-alt.
- Sur WiiU, lors de la sélection d'un IOS, le 249 n'est plus choisi par défaut vu que le cIOS d2x ne patche pas l'erreur -1017 sur WiiU. L'IOS 36 (modifié) sera donc préférable.

Version 3.00
- Version compatible WiiU en mode Wii, et Wii.
- Ajout du support (initial) pour le mode Wii de la WiiU. Dans ce mode pour l'instant on peut faire un test, installer ou désinstaller un wad, un export d'informations ou installer un cIOS (d2x v10) uniquement.
- Mise à jour du cIOS d2x en v10 et v10 alt. La version alt est marqué comme v10.1.
- Modification de tous les tests, ios et chaines afin de correspondre à la WiiU.
- Ajout d'un anti brick Wii et WiiU, pour empêcher d'installer un IOS prévu pour l'un sur l'autre. Cette protection est en place dans le menu "wad" ainsi que lors d'installation d'IOS dans les autres menus.
- Sur WiiU: Le téléchargement des IOS est impossible. Vous devez mettre les wad sur votre carte SD ou clé USB. Vous pouvez créer les fichiers WAD grâce à FSToolboxx et Showmiiwads-mod by Orwel. Les fichiers créés doivent être nommés de la forme IOSXY-64-v1337.wad.
- Ajout d'une protection dans le mode "wad" qui empêche l'installation d'un stub sur le slot utilisé par le system menu, ou la désinstallation de cet ios.
- Correction de la désinstallation d'un wad sans cIOS.

Version 2.32
- Correction d'un plantage possible lors du démarrage d'un test.
- Ajout dans l'export le numéro de l'IOS chargé ainsi que si l'AHBPROT est actif ou non.
- Ajout de l'installation de l'iOS 62.
- Mise à jour de la boutique Wii.

Version 2.31
- Compilé avec libogc 1.8.11 et libfat 1.0.11.
- Mise à jour du cIOS d2x v9 beta en beta 49. Il est disponible uniquement dans le mode "Installer cIOS". Ne sera pas installé dans les modes "Hacker la Wii" ou "Tester et corriger les problèmes".
Attention, ça n'est marqué nulle part que c'est une bêta, mais ça l'est. Lors de la sortie de la version "finale", vous devrez forcer l'installation de la nouvelle version vu que pimp ne fait pas de différence entre une version bêta et finale.
- Pimp détectera comme dépassé Usb Loader GX qui n'est pas en version 3.0 (contre 2.2 dans les versions précédentes).
- Ajout de la détection de Dios Mios/Dios Mios Lite dans l'export et lors de l'installation.

Version 2.30
- Suppression de certaines informations (liées aux sauvegardes de jeux) dans l'export TXT, pour diminuer sa taille (l'export CSV reste complet).
- Correction d'un bug qui pouvait faire changer de numéro les Wiimote en plein milieu de l'utilisation de Pimp.
- Compilé avec devkitPPC 25-1 et libogc 1.8.10 (ceci permet le support des nouvelles Wiimotes RVL-CNT-01-TR).
- Utilisation de threads pour essayer de contourner les blocages que certains peuvent avoir durant les scans d'IOS.
- Mise a jour du cIOS d2X en v8.
- Ajout du cIOS d2x v9 (beta 47), disponible uniquement dans le mode "Installer cIOS". Ne sera pas installé dans les modes "Hacker la Wii" ou "Tester et corriger les problèmes".
Attention, ça n'est marqué nulle part que c'est une bêta, mais ça l'est. Lors de la sortie de la version "finale", vous devrez forcer l'installation de la nouvelle version vu que pimp ne fait pas de différence entre une version bêta et finale.
- Ajout d'une petite tempo lors d'un IOS Reload.

Version 2.29
- Mise à jour de d2x cIOS en v7. Dans le mode "Installer cIOS", vous pouvez maintenant installer les versions 6 et 7.
Dans le mode "Test", si vous avez la v6, votre cIOS sera considéré comme dépassé.
- Ajout du patch pour le support des Wii coréennes dans le cIOS d2x.
- L'export txt et csv indique maintenant les homebrews que vous avez sur votre sd (dossier /apps), ainsi que leurs versions (en utilisant le meta.xml).
- L'export affiche aussi si vous avez priiloader/preloader installé.
- Correction dans l'export qui pouvait ne pas faire apparaitre les clés.

Version 2.28
- Ajout d'une vérification qui vous avertis si jamais certains homebrews ne sont pas à jour. Pimp vérifie les versions des homebrews suivants (les noms de dossiers doivent correspondre, et ne sont pas sensible majuscule/minuscule) :
-> Neogamma, en version R9 beta 50 minimum. Nom de dossier : neogamma
-> Usb Loader gx, en version 2.2 minimum. Nom de dossier : usbloader_gx
-> Uloader, en version 5.1 minimum. Nom de dossier : uloader
-> Wiiflow, en version 2.2 (ou r302) minimum. Nom de dossier : wiiflow
-> Configurable usb loader, en version 70 minimum. Nom de dossier : usbloader ou usbloader_cfg
Pimp ne met pas à jour ces homebrews tout seul. Aucune vérification ne sera faite sur les chaines installées, uniquement sur les fichiers présents sur la carte SD dans /apps/.

Version 2.27
- Correction d'un bug apparu dans la version 2.26 qui faisait que les cIOS d2x n'étaient plus détectés.

Version 2.26
- Ajout d'une protection qui empêche dans le menu "Wad" de supprimer le Boot2, le SystemMenu, le BC ou le MIOS.
- Mise à jour de la libogc vers la 1.8.8.
- Correction du freeze qui pouvait apparaître sur les Wii non connectées à internet (merci à http://gbatemp.net/t301061-how-to-fix-the-connection-issue-while-running-in-ahbprot-mode)

Version 2.25
- Mise à jour de DevkitPPC vers la r24 et libfat vers la 1.0.10.
- Modification de l'optimisation du compilateur GCC (peut corriger certains plantages).
- Amélioration des informations dans les exports txt et csv.
- Ajout d'un avertissement dans le mode "Installation de Wad" qui vous demande une confirmation si vous voulez installer un IOS STUB.

Version 2.24
- Utilisation par défaut du cIOS d2x au lieu de Waninkoko pour les cIOS sur 249 et 250. Si vous n'avez pas d2x v6, pimp vous indiquera que vous avez un vieux cIOS, même si vous avez le cIOS de Waninkoko.
- Utilisation de l'IOS 56 v5661 sur le slot 249 au lieu du 38.
- Détecte maintenant les fichiers wad nommés "EULA-NUS-vX.wad" pour l'EULA.
- Mise à jour des librairies vers devkitPPC release 23, libogc 1.8.7.
- Les informations exportées (fichiers TXT et CSV) sur la carte SD ou le périphérique USB sont maintenant triées.

Version 2.23
- Mise à jour du cIOS d2x de la v4 vers la v6. Apporte entre autre le support des jeux "IOS Reload" sur WBFS/FAT32/NTFS en USB. Vous devez utiliser configurable usb loader, Neogamma ou Usb Loader GX à jour (pas Wiiflow).
- Changement de la détection des fichiers WAD pour le mode hors ligne pour les titres suivants (vous devez utiliser NUSD 1.9) :
-> Chaine Mii : Passage de "Mii Channel-NUS-vX.wad" à "RVL-NigaoeNR-vX.wad"
-> Chaine météo : Passage de "Weather Channel-NUS-vX.wad" à "RVL-Weather-vX.wad"
- La révision par défaut de l'IOS de destination dans le menu "Installer cIOS" est maintenant :
-> 20/21 pour le cIOS de Waninkoko
-> 65535 pour le cIOS d'Hermes
-> 21006 pour le cIOS d2x v6
- Les touches préssées par erreur ne sont maintenant plus prises en compte (exemple: Double appui sur A).
- Ajout de la détection des nouveaux cIOS de façon avancée, en utilisant la technique créée récemment qui utilise un fichier de signature des cIOS. (Pareil que Modmii).
- Dans l'export des infos, les noms des cIOS sont maintenant indiqués.
- Ajout d'un export des infos en mode texte (fichier pimpmywii.txt à la racine de la SD ou de la clé USB), en plus de celui en CSV.
- Ajout de l'affichage du cIOS installé lors du choix des cIOS à installer.
- Le menu "Infos" est renommé "Exporter infos".
- Changement (temporaire ?) de l'arrière plan par un nouveau fait par Wolf13220 (merci à lui).

Version 2.22
- Mise à jour du cIOS D2X de la v3 vers la v4 (installable via le menu "Installer cIOS").
- Correction d'un bug rare qui faisait que si vous n'aviez pas l'IOS 4 (chose normalement impossible) pimp ne trouvait aucun IOS utile.
- Correction des scripts NUSD pour l'IOS 61 et le MIOS. Merci à Orwel pour tout ses scripts !

Version 2.21
- Ajout de la détection des versions 21, 20, 19, 18, 17, 16, 15 et 14 du cIOS de Waninkoko.
- Par conséquent, la vérification des cIOS dépassés utilise cette détection au lieu de juste vérifier la révision. Ainsi le cIOS 250 en révision 65535 ne sera pas détecté comme un cIOS version 65535.
- Remplacement du menu "Downgrade IOS 15" par "Installer cIOS" qui permet d'installer les cIOS de Waninkoko, Waninkoko "d2x" ou d'Hermes. Vous avez le choix entre la rev 20 et la rev 21 du cIOS de Waninkoko, la revision 21 v 3 du cIOS d2x, et vous pouvez installer la version 5.1 du cIOS d'Hermes.
Pour celui de Waninkoko, vous pouvez choisir comme IOS source les IOS: IOS36 v3607 IOS37 v5662 IOS38 v4123 IOS53 v5662 IOS55 v5662 IOS56 v5661 IOS57 v5918 IOS58 v6175 IOS60 v6174 IOS61 v5661 IOS70 v6687 IOS80 v6943.
Pour le cIOS d'Hermes, vous avez le choix entre IOS60 v6174, IOS38 v3867, IOS37 v3869 et IOS57 v5661.
Vous pouvez l'installer sur n'importe quel slot (entre 9 et 254). Vous avez le choix du numéro de révision installé.
- Ajout de l'installation de l'IOS 58 dans le mode "Hacker la Wii" si celui-ci n'est pas installé ou a été modifié.
- Modification des infos affichées lors de l'installation des cIOS.
- Mise à jour de la libogc et libfat vers la dernière version SVN : amélioration de la compatibilité USB.
- Le bouton power de la Wiimote fait éteindre la console maintenant.
- Ajout de la possibilité d'installer le cMIOS de Wiigator pour lire les backups de jeux GameCube. Vous avez le choix d'installer un MIOS original ou un cMIOS.
- Durant le test, si vous n'avez pas de cMIOS, Pimp vous proposera de l'installer, de même dans le mode "Hacker la Wii".
- Correction de quelques phrases. Merci a ravmn pour la version Espagnole.
- Ajout de scripts pour NUSD permettant de télécharger les IOS et titres nécessaires si vous n'avez pas internet sur la Wii. hack_wii_minimal.nus sert pour le mode "Hacker la Wii / installation minimale", les 3 autres servent pour le mode "tester et corriger" et dépendent de la région de la console.
- Mise à jour de l'IOS 61 en v5662.
- Ajout d'une petite surprise avec la touche + (touche R sur pad GC).

Version 2.20
- Passage au dernier libfat SVN et libogc SVN (celui des Pimp précédents était le 1.8.3 à cause d'un bug introduit dans la libogc 1.8.4). Ceci apporte donc les corrections apportées par la libogc, dont entre autre une meilleure compatibilité USB ainsi que des correctifs de stabilité. Merci à __jf__ pour la résolution du bug de la libogc.
- Maintenant Pimp demande si vous voulez lancer des jeux trucha signés sur DVD sur la chaine disque et si vous répondez non, les ios seront ainsi installés sans patchs (sauf pour l'ios 36 et l'ios utilisé par le menu système, car sans celui-ci vous ne pouvez pas lire de wiiware ou autre jeu wad sur carte sd via l'onglet sd). Vous avez toujours le choix de remettre ces patchs a "Oui" si vous le désirez.
- Correction du retour au menu Wii en utilisant un forwarder / une chaine.
- En cas de plantage de téléchargement de titre/ios, celui-ci sera retenté 2 fois.
- Ajout du support des noms de fichiers WAD en toutes lettres obtenus avec NUS Downloader pour les chaines Mii, Photo, News et Météo.
- L'export des infos se fait maintenant sur la clé USB si vous n'avez pas de carte SD insérée.
- Correction d'un bug des touches moins et plus (précédent et suivant) dans la sélection des ios/titres à installer.
- Correction du support des fichiers Wad mal nommés.
- Ajout de l'affichage de l'IOS source, de la révision de l'IOS source et du numéro de version des cIOS d'Hermes installés (ex: v5.1 IOS Source 57 rev 5661).
- Ajout de l'affichage de l'IOS source et de la révision de l'IOS source des cIOS de Waninkoko et certains IOS installés (ex: IOS source 58 rev 6176). Ceci permet de savoir par exemple si vous avez un IOS avec un numéro de révision modifié (pimp modifie les numéro de révision des ios stub comme le 60).
- Dans le menu "Wad", empêche maintenant d'installer ou de désinstaller un fichier qui n'est pas au format WAD.
- Vu que les derniers priiloaders n'ont plus besoin de es_identify sur l'ios utilisé par le menu système, Pimp ne détectera plus son absence comme un problème.
- Pour hacker la Wii, pimp patche maintenant l'IOS 36 au lieu du 15.
- Ceci corrige aussi le fait que lors du tout premier hack d'une Wii, le cIOS 249 ne pouvait s'installer qu'après le 2eme passage.
- Dans le menu Wad, les noms de fichiers seront maintenant tronqués s'ils sont trop longs.
- Vide la mémoire utilisée après l'installation des cIOS.
- Le patch "es downgrade" (es version check) est maintenant également fonctionnel pour les IOS inférieurs à 28 (non modulaires).
- Si les Wiimote n'ont pas pu s'initialiser (en cas de module bluetooth défectueux ?) et si vous n'avez pas de manette gamecube, vous pouvez maintenant utiliser les boutons power et reset. Power = A, Reset = B. Ce mode est désactivé s'il n'y a aucun problème avec les Wiimotes.
- Ajout des IOS coréens de la mise à jour 4.3V2 (40, 43, 45, 46, 48, 52) dans la partie des ios "stubs" nécessaires.
- Augmentation de la révision de l'IOS 41 installé vers la dernière sortie.
- Correction de certaines informations affichées dans l'export "infos".
- Correction de l'export des clés dans "infos" qui dans certains cas ne se faisait pas.
- Vérifie si Pimp a l'accès total (HW_AHBPROT). Dans le cas contraire, pimp vous demande d'utiliser HBC et de bien placer le meta.xml pour pouvoir fonctionner correctement.
- Ajout d'une autre protection contre le brick. Vous ne pouvez plus installer un IOS stub si le menu système utilise cet IOS. Pour vous retrouver dans ce cas il faudrais que vous ayez modifié votre menu système pour par exemple utiliser l'IOS 16, vu que Pimp installe un IOS 16 stubé.
Le seul autre cas possible serait si vous prenez l'IOS 60 stubé, que vous modifiez le nom du fichier wad et que vous modifiez la version en 6174 dans le tmd (la version non stubbée). Mais là, il faut vraiment chercher à bricker sa console ...
Cette protection n'est pas mise en place dans le mode "WAD". Faites donc attention aux WADs que vous installez manuellement.
- Diverses modifications mineures.
- Pimp en version chaine (id PIMP) est fourni.

Version 2.11
- Correction de la mauvaise détection de la région des Wii 4.3.
- Mise à jour des révisions des IOS (12 13 14 15 17 21 22 28 31 33 34 35 36 37 38 53 55 56 57 58 61 80) de la mise à jour du 7 septembre 2010.
- Mise à jour de la chaine boutique en révision 20. Vous devez mettre à jour l'IOS 56 (avec Pimp My Wii) pour qu'elle fonctionne.
- Petit correctif dans l'affichage du changelog.

Version 2.10
- Ajout de la traduction Allemande par M tha MaN.
- Ajout de la traduction Espagnole par Ravmn.
- Correction pour les Wii espagnoles et japonaises qui étaient affichées en italien.
- Ajout de la possibilité d'utiliser Pimp même si vous avez un problème lors de l'initialisation de la Wiimote.
- Ajout de la version de Pimp dans l'export CSV.
- Ajout des clés de l'OTP (Hash Boot1, Common Key, NG id, NG private key, NAND HMAC, NAND key, RNG key, inconnu) dans l'export CSV.
- Ajout du device ID dans l'export CSV.
- L'export CSV est maintenant possible en mode "safe mode" (touche moins dans le menu).
- Ajout d'une Scroll Bar dans le visualisateur de changelog dans la partie "mise à jour" (pour afficher les longs changelog).
- Correction de la détection d'une mise à jour mineure.
- Ajout de l'IOS 236 dans les IOS scannés.
- Indique après la phase d'installation s'il y a eu quelque chose qui n'a pas réussi à s'installer.
- Ajout de diverses traductions.
- Diverses améliorations / changements / correctifs mineurs.

Version 2.02
- Ajout de la traduction Italienne. Merci a Duca et Asper de www.palwii.info
- Correction des code dump possibles durant le scan de l'IOS 249 (en rajoutant une tempo de 2s).
- Remplacement de la nécessité d'avoir l'IOS 61 non patché par l'IOS 58 pour pouvoir l'utiliser avec Homebrew Channel 1.0.8.
- Quelques corrections de fuites mémoires.
- Correction des messages lors de la sélection d'IOS.

Version 2.01
- Pimp peux maintenant hacker les Wii 4.3K (chose auparavant impossible) en utilisant un nouveau hack exclusif à Pimp My Wii. Il n'y a plus besoin de l'IOS 41 ! 
Ce hack est bien entendu compatible toutes Wii toutes versions et permet également de ne plus avoir besoin d'utiliser le bug Downgrade IOS 15.
De plus, ce hack permet d'installer des chaines/ios trucha signés sans avoir besoin de cIOS.
Pour faire fonctionner ce hack, Pimp doit être lancé à partir de HBC 1.0.7 ou supérieur. Merci a picsougrip ainsi que tous les autres testeurs.
- Remplacement de l'IOS 28 v1550 par la v1806.
- Remplacement de l'IOS nécessaire a Hackmii Installer par le 61 au lieu du 34. Maintenant l'IOS 61 ne doit plus être patché et le 34 si. Les versions précédentes laissaient également l'IOS 61 non patché mais maintenant c'est "obligatoire".
- Correction de la détection du "es version check" qui indiquait toujours présent dans Pimp 2.00.
- Ajout du support des fichiers wad (mode hors ligne) nommés XXXXXXXXYYYYYYYY-NUS-vY.wad. Par exemple 000000010000000F-NUS-v257.wad c'est l'IOS 15 v257.
- Lors de la sélection d'IOS (en safe mode, dans le menu WAD ou downgrade IOS 15), il est indiqué si l'IOS chargé a le trucha bug.
- La chaine EULA est maintenant proposée dans le mode "Lancer le test et corriger les problemes" en plus du mode manuel.
- Corrige certains code dump aléatoires durant le scan des IOS.
- Diminution du temps après l'affichage du nombre de titres trouvés.
- Lorsqu'une mise à jour est disponible (après voir été dans "Mise à jour"), il est maintenant demandé si vous voulez la faire au lieu de la faire automatiquement.
- Correction du téléchargement de l'icone pendant une mise à jour.

Version 2.00
- Peux maintenant HACKER LES WII 4.3 VIERGES de tout cIOS etc en installant l'IOS 41 v3348 (ne marche pas pour les Wii 4.3K).
- Possibilité de mettre à jour Pimp par internet via le programme (il faut aller manuellement dans "Mise à jour").
- Ajout d'une fonction installation/suppression de fichiers WAD directement dans Pimp My Wii.
- Possibilité de ne pas faire d'IOS reload au moment de choisir un IOS (pour "downgrader IOS 15" et le "safe mode"). Le cIOS 249 est automatiquement pré selectionné si détecté.
- Vous pouvez maintenant passez de la liste des ios à la liste des autres titres (et inversement) avec le bouton - et +.
- Correction d'un freeze possible de la Wiimote après un message "old ios used".
- Corrige le problème de détection du trucha bug si jamais vous avez supprimé l'IOS4.
- Dans "infos", indique le code d'erreur retourné dans la colonne trucha bug si jamais il n'est pas présent dans l'IOS.
- Affiche un petit texte explicatif sur l'erreur 1035 si vous la rencontrez (ça signifie que vous avez une version plus récente installée et que l'IOS utilisé doit avoir le bug es downgrade).
- Détection du Homebrew Channel 1.07 avec son nouveau title id.
- Mise à jour des révisions des IOS correspondant à la Wii 4.3.
- Ajout de l'IOS 51 en tant que stub nécessaire.
- Les IOS pour une installation complète sont les suivant:
9 v1034, 12 v525, 13 v1031, 14 v1031, 15 v1031, 17 v1031, 21 v1038, 22 v1293, 28 v1550, 30 v2576, 31 v3607, 33 v3607, 34 v3607, 35 v3607, 36 v3607, 37 v5662, 38 v4123, 41 v3348, 50 v4889, 53 v5662, 55 v5662, 56 v5661, 57 v5918, 58 v6175, 60 v6174, 61 v5661, 70 v6687 et 80 v6943.
Ainsi que les IOS "stub" suivants, dans leurs versions spécifiques : IOS4v65280, IOS10v768, IOS11v10, IOS16v512, IOS20v12, IOS51v4633 et IOS254v260.
- Affiche plus d'informations lors d'une erreur dans l'export csv.
- Ajout du cIOS de Waninkoko rev20.

Version 1.43
- Ajout de l'IOS 58 revision 6175, l'IOS 80 révision 6943 provenant de la mise à jour 4.3. Attention ces IOS ont le bug "Trucha Bug Restaurer" corrigé.
- Mise à jour de la Boutique Wii en révision 19.
- Ajout de la détection du menu système 4.3.
- Mise à jour de la chaine cachée EULA en révision 3 (uniquement en mode manuel).
- Attention: Si vous avez une Wii "vierge" en 4.3, Pimp ne peut actuellement rien faire pour la hacker (à cause du correctif contre le bug "Trucha Bug Restaurer").

Version 1.42
- Corrige l'IOS 250 avec comme source l'IOS 57 qui freezait lors des IOS reload.

Version 1.41
- Correction d'un message affiché lors de la détection du cIOS d'Hermes.
- Ajout du fix de Wad Manager pour l'installation de wad trucha signés avec les cIOS d'Hermes v5 et Waninkoko v19 (même si les IOS en wad sur votre SD/USB devraient être originaux et donc PAS trucha signés).
- Installe sur l'IOS 250 le cIOS 57 de Waninkoko rev 19 (en revision 65535), pour des questions de sécurité.
- Mise à jour du cIOS d'Hermes en 5.1.
- Maintenant vérifie que la "vraie" version du cIOS d'Hermes est bien 5.1 et pas juste la révision du cIOS (65535).
- Correction d'un problème qui faisait que le cIOS d'Hermes pouvait ne pas être scanné.
- Changements divers.

Version 1.40:
- En plus de détecter si vous avez le cIOS (et mis à jour), vous pouvez maintenant directement installer le cIOS249 rev19 (base IOS 38) de Waninkoko et les cIOS 202/222/223/224 (v5) d'Hermes dans Pimp my Wii.
Les cIOS ne proposent de s'installer uniquement que si Pimp détecte que vous ne les avez pas déjà. Pour les réinstaller, passez en mode "Installation manuelle".
Note: Ne mettez aucun patch sur les cIOS, car les patchs sont déjà inclus dedans.
(Merci Waninkoko pour son aide ainsi que Orwel et toute la team Wii Info pour les tests).
- Changement du texte affiché quand on passe en mode hors ligne.
- A la fin du scan, un message est affiché pour éviter que le scan retourne au menu sans rien dire si aucun problème n'a été détecté.
- Si la connexion internet donne une erreur -116, Pimp demande si vous voulez retenter la connexion (L'erreur -116 peux être temporaire et plusieurs essais permettent généralement de se connecter).
- "Installation minimale" est maintenant "Hacker la Wii/Installation minimale" car ça installe maintenant les cIOS.
- Compilé avec devkitPPC release 21, libogc 1.8.3.

Version 1.32:
- Chaque chargement d'IOS s'affiche à l'écran. Si celui échoue, il sera retenté 10 fois (correction possible du "Bad ios used").
- Devraît corriger quelques code dump lors d'installation/téléchargement.
- Modification mineure du readme (version du wii shop).
- Utilisation de devkitppc r19, dernieres libogc, libfat 1.0.6, devkitARM release 27.
- Correction de la détection de l'IOS utilisé par Homebrew Channel.
- Affiche en mode "safe mode" les IOS stub qui ne sont pas à utiliser.

Version 1.31:
- Passage à la version 18 de la boutique Wii.
- Essaye 10 fois de charger l'IOS si l'IOS_Reload à échoué.
- Indique maintenant si l'accès complet de la NAND (NAND access) est possible à l'IOS.
- Indique lors d'un test si le HBC est à l'envers à cause d'un IOS utilisé modifié.
- Maintenant pour l'initialisation réseau vous devez appuyer sur A pour la faire ou B pour passer hors ligne.
- Affiche plus d'erreurs lors du downgrade de l'IOS15. Même avec l'erreur -1017 lors de ES_AddTitleFinish, le downgrade peut bien s'effectuer.

Version 1.3:
- Nouvelle option du menu "Downgrade IOS 15". Vous choisissez l'IOS a utiliser pour downgrader juste l'IOS 15 ce qui va restaurer le trucha bug dedans.
- Maintenant quand on passe un test simple il n'y a plus d'initialisation internet/sd/usb et ne propose plus de downgrade d'IOS dans certains cas.
- Quand aucun IOS utile n'a été trouvé, ça prend maintenant à la place l'IOS 36 si présent, sinon le 28 ou 33 ou 55 ou 30 et sinon l'IOS utilisé par le System Menu. Ca permet d'éviter le problème -1035 sur l'IOS 70 sur les Wii 4.2 lors du downgrade.
- Ajout d'un mode "Infos" qui écrit sur la carte SD des infos concernant les titres installés. Ca affiche l'état du bug Trucha, de la fonction ES_Identify, de la possibilité de downgrade (version check) et la vérification de stub pour les IOS. Pour tous les titres on affiche également si c'est un titre original ou pas.
- Si pimp my wii détecte un ancien MIOS et que vous avez un non original installé (donc un cMIOS), il vous dit qu'il sera remplacé par un MIOS normal.
- Affiche les touches de navigation.
- Propose l'installation de l'EULA en mode installation manuelle.

Version 1.2:
- Propose et teste maintenant l'installation du BC, MIOS et des chaines News, Météo (Weather), Mii, Photo et Photo 1.1. Les chaines news et météo s'installent en deux parties. Ces chaines ont besoin des IOS 13 et 31.
- Vous pouvez maintenant également naviguer dans le choix d'installation du BC/MIOS et autres chaines.
- Affiche plus d'informations sur les versions installées des diverses chaines.
- Petite réorganisation des infos affichées.
- Corrige le problème de connexion internet.
- Vous pouvez maintenant retourner au menu en appuyant sur B pendant le choix d'installation des titres.

Version 1.11:
- Correction du problème introduit dans la version 1.1 qui disait que le HBC et la Boutique Wii n'étaient pas installés.
- Ne teste plus l'IOS30 vu qu'il pose problème sur les Wii "récentes" qui refusent les anciens IOS.

Version 1.1:
- Correction d'un bug qui fait que sur Wii 3.3 ou 3.4 n'ayant aucun IOS contenant le trucha bug, le programme ne proposait pas de downgrade l'IOS 15.
- Correction d'un message a propos d'un cIOS dépassé.
- Si votre IOS 249 est un stub (mise à jour 4.2 officielle), ça indique que vous n'avez pas de Custom IOS.
- Vérification supplémentaire qui indique si le rechargement de l'IOS a échoué.
- Ajout du nouveau title id de HBC pour vérifier qu'il soit bien installé.
- Ajout de l'IOS70 et mise à jour des IOS.
- N'installe pas la 4.2, toujours la 4.1.
- Mise à jour de la version de la Wii Boutique en v17.
- Plus de patchs sur l'IOS61 pour éviter des problèmes et pour que l'Homebrew Channel puisse l'utiliser (sans la tête a l'envers !).
- Nouvelle vérification de stub en se basant sur la taille des IOS.
- Vous indique maintenant quels IOS sont des stubs.
- Amélioration interne concernant les choix par défaut des patchs.
- Permet de naviguer parmis la liste des IOS en appuyant sur les touches MOINS et PLUS ou Trigger L et R pour manette GameCube.
- Maintenant détecte si les IOS 30, 50 et 60 sont des stubs (non utilisables) et installe une ancienne version (non stub, donc utilisable) en remplacant le numéro de version à l'intérieur, ceci permet d'éviter des bricks si vous installez un Menu Système inférieur sans modifier l'IOS associé (ou si vous downgradez votre Wii et installez la mise à jour d'un jeu).
- Refuse d'installer le system menu 4.1 si votre IOS 60 est un stub.
- Le downgrade de l'IOS15 marche maintenant également pour Wii 4.2.
- Ajout d'une description de chaque choix dans le menu.
- Ajout d'un mode installation minimale pour juste downgrader l'IOS15 si nécessaire et patcher l'IOS 36 pour qu'il contienne le trucha bug.
- Ajout d'une description individuelle lors de la selection des IOS a installer.

Version 1.01:
- Diminution des IOS testés, seulement les ios nécessaire par les jeux ainsi que les IOS 249 et 202 (si présents).
- Plus de reboot sur le bootmii pendant le test des IOS s'il est installé en IOS.
- Ne devrait plus faire de code dump pendant les tests d'IOS.
- Ajout de l'installation des autres IOS, ceux considérés comme "stub" (inutilisables), mais nécessaire pour ne plus avoir de demande de mise à jour lors de l'insertion de jeu. L'homebrew va essayer d'utiliser une version ancienne fonctionnelle et modifier le numéro de version. Ainsi vous pourrez quand même utiliser ces IOS si nécessaire.
- Correction d'un bug qui forcait le downgrade de l'IOS 15 si vous n'aviez pas de Custom IOS (ou d'ios qui permet de dowgrader une révision).
- Ajout d'un mode "safe mode" (appuyez sur "moins" dans le menu pour l'activer). Dans ce mode, le test des IOS est désactivé, vous devez à la place choisir un IOS à utiliser pour l'installation. Sachez que dans ce mode, vous ne saurez pas si vos IOS installés ont les différents bugs, et donc le programme ne saura pas si les IOS que vous avez installés ont besoin d'être patché.
- Petite réorganisation de la liste des titres à installer.